import SwiftUI

struct LocalizedPostDetailView: View {

    @ObservedObject
    var post: LocalizedPost

    let transferImage: (language: ContentLanguage, image: FileResource)?

    var body: some View {
        VStack(alignment: .leading) {
            OptionalStringPropertyView(
                title: "Custom Page Link Text",
                text: $post.pageLinkText,
                footer: "The custom text to show for the link to the linked page")

            /*
            LinkPreviewDetailView(
                linkPreview: post.linkPreview,
                fallbackTitle: post.title,
                transferImage: transferImage)
             */
        }
    }
}
